# FStructMotionCurveConfiguration

This page describes the FStructMotionCurveConfiguration struct that ships with Motion. The enumeration describes TBD.

### Members

| Name           | Description                                                   |
| -------------- | ------------------------------------------------------------- |
| bShouldLoop    | If true, the curve will loop when it reaches its end.         |
| bShouldReverse | If true, the curve will reverse when reaching its end.        |
| bHasPriority   | If true, this curve and only this curve will be used.         |
| Tickrate       | Tickrate at which the curve is being played at. Default is 1. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://motion.docs.regensturm.com/architecture/fstructmotioncurveconfiguration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
